net.sf.jasperreports.engine.query

## Class ExcelQueryExecuterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory
  - - net.sf.jasperreports.engine.query.AbstractXlsQueryExecuterFactory
    - - net.sf.jasperreports.engine.query.ExcelQueryExecuterFactory

- All Implemented Interfaces:
    JRQueryExecuterFactory, QueryExecuterFactory

      public class ExcelQueryExecuterFactory
      extends AbstractXlsQueryExecuterFactory

  Query executer factory for Excel file type.

  The factory creates `ExcelQueryExecuter` query executers.
  Version:
    $Id: ExcelQueryExecuterFactory.java 6986 2014-03-26 09:50:48Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `XLS_FORMAT` Built-in parameter/property holding the value of the Excel format to be used when parsing the Excel data.

    - ### Fields inherited from class net.sf.jasperreports.engine.query.AbstractXlsQueryExecuterFactory

      `XLS_COLUMN_INDEXES, XLS_COLUMN_INDEXES_ARRAY, XLS_COLUMN_NAMES, XLS_COLUMN_NAMES_ARRAY, XLS_DATE_FORMAT, XLS_DATE_PATTERN, XLS_FILE, XLS_INPUT_STREAM, XLS_LOCALE, XLS_LOCALE_CODE, XLS_NUMBER_FORMAT, XLS_NUMBER_PATTERN, XLS_SHEET_SELECTION, XLS_SOURCE, XLS_TIMEZONE, XLS_TIMEZONE_ID, XLS_USE_FIRST_ROW_AS_HEADER, XLS_WORKBOOK`

    - ### Fields inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory

      `QUERY_EXECUTER_FACTORY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExcelQueryExecuterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRQueryExecuter` | `createQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)` Creates a query executer.
    `java.lang.Object[]` | `getBuiltinParameters()` Returns the built-in parameters associated with this query type.
    `boolean` | `supportsQueryParameterType(java.lang.String className)` Decides whether the query executers created by this factory support a query parameter type.

    - ### Methods inherited from class net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory

      `createQueryExecuter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XLS_FORMAT

          public static final java.lang.String XLS_FORMAT

      Built-in parameter/property holding the value of the Excel format to be used when parsing the Excel data.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExcelQueryExecuterFactory

          public ExcelQueryExecuterFactory()

  - ### Method Detail

    - #### getBuiltinParameters

          public java.lang.Object[] getBuiltinParameters()

      Description copied from interface: `QueryExecuterFactory`
      Returns the built-in parameters associated with this query type.

      These parameters will be created as system-defined parameters for each report/dataset having a query of this type.

      The returned array should contain consecutive pairs of parameter names and parameter classes (e.g. `{"Param1", String.class, "Param2", "List.class"}`).
      Returns:
        array of built-in parameter names and types associated with this query type

    - #### createQueryExecuter

          public JRQueryExecuter createQueryExecuter(JasperReportsContext jasperReportsContext,
                                            JRDataset dataset,
                                            java.util.Map<java.lang.String,? extends JRValueParameter> parameters)
                                              throws JRException

      Description copied from interface: `QueryExecuterFactory`
      Creates a query executer.

      This method is called at fill time for reports/datasets having a query supported by this factory.
      Parameters:
        `jasperReportsContext` - the JasperReportsContext
        `dataset` - the dataset containing the query, fields, etc
        `parameters` - map of value parameters (instances of `JRValueParameter`) indexed by name
      Returns:
        a query executer
      Throws:
        `JRException`

    - #### supportsQueryParameterType

          public boolean supportsQueryParameterType(java.lang.String className)

      Description copied from interface: `QueryExecuterFactory`
      Decides whether the query executers created by this factory support a query parameter type.

      This check is performed for all $P{..} parameters in the query.
      Parameters:
        `className` - the value class name of the parameter
      Returns:
        whether the parameter value type is supported

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com